#import "MyOpenGLView.h"
#include <OpenGL/gl.h>

@implementation MyOpenGLView
- (void) awakeFromNib
{
	x1=x2=x3=y1=y2=y3=0;
}

-(void) setX1:(int) x
{
	x1=x;
	[self setNeedsDisplay:YES];
}

-(void) setX2:(int) x
{
	x2=x;
	[self setNeedsDisplay:YES];
}
-(void) setX3:(int) x
{
	x3=x;
	[self setNeedsDisplay:YES];
}

-(void) setY1:(int) y
{
	y1=y;
	[self setNeedsDisplay:YES];
}
-(void) setY2:(int) y
{
	y2=y;
	[self setNeedsDisplay:YES];
}

-(void) setY3:(int) y
{
	y3=y;
	[self setNeedsDisplay:YES];
}

-(void)drawRect:(NSRect)bounds{
	
	NSLog(@"DRAWING NOW");	
	NSLog(@"with values %d", x1);
	
	glClearColor( 1, 0, 0, 0 ) ;
	glClear( GL_COLOR_BUFFER_BIT ) ;
	glColor3f( 0.0f, 1.0f, 0.0f ) ;
	glBegin( GL_TRIANGLES) ;
	{
		glVertex3f( x1, y1, 0.0 ) ;
		glVertex3f( x2, y2, 0.0 ) ;
		glVertex3f( x3 , y3, 0.0 ) ;
	}
	glEnd() ;
	glFlush() ;
}
@end
